Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security
Class X500Name

    java.lang.Object
      |
      +--weblogic.security.Entity
            |
            +--weblogic.security.X500Name

public class X500Name
extends weblogic.security.Entity
implements weblogic.security.Streamable

X.500 names in BER format.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected byte[]` | `contents`
`protected java.lang.String` | `countryName`
`protected java.lang.String` | `email`
`protected java.lang.String` | `localityName`
`protected java.lang.String` | `organizationName`
`protected java.lang.String` | `orgUnitName`
`protected java.lang.String` | `stateName`

Constructor Summary
`X500Name()`

Method Summary
`boolean` | `equals(weblogic.security.Entity e)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getCommonName()`
`java.lang.String` | `getCountryName()`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getLocalityName()`
`java.lang.String` | `getOrganizationName()`
`java.lang.String` | `getOrgUnitName()`
`java.lang.String` | `getStateName()`
`void` | `input(java.io.InputStream is)` Read X.500 Name from specified input stream.
`int` | `length()`
`void` | `output(java.io.OutputStream os)` Output X500Name to specified output stream.
`protected void` | `parseAttr(int[] attr, java.lang.String value)`
`void` | `setCountryName(java.lang.String s)`
`void` | `setEmail(java.lang.String s)`
`void` | `setLocalityName(java.lang.String s)`
`void` | `setOrganizationName(java.lang.String s)`
`void` | `setOrgUnitName(java.lang.String s)`
`void` | `setStateName(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### countryName

    protected java.lang.String countryName

### stateName

    protected java.lang.String stateName

### localityName

    protected java.lang.String localityName

### organizationName

    protected java.lang.String organizationName

### orgUnitName

    protected java.lang.String orgUnitName

### email

    protected java.lang.String email

### contents

    protected byte[] contents

Constructor Detail

### X500Name

    public X500Name()

Method Detail

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Read X.500 Name from specified input stream.
  Specified by:
    input in interface weblogic.security.Streamable

### parseAttr

    protected void parseAttr(int[] attr,
                             java.lang.String value)

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Output X500Name to specified output stream.
  Specified by:
    output in interface weblogic.security.Streamable

### length

    public int length()

  Specified by:
    length in interface weblogic.security.Streamable

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(weblogic.security.Entity e)

  Overrides:
    equals in class weblogic.security.Entity

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### getCommonName

    public java.lang.String getCommonName()

### getCountryName

    public java.lang.String getCountryName()

### setCountryName

    public void setCountryName(java.lang.String s)

### getStateName

    public java.lang.String getStateName()

### setStateName

    public void setStateName(java.lang.String s)

### getLocalityName

    public java.lang.String getLocalityName()

### setLocalityName

    public void setLocalityName(java.lang.String s)

### getOrganizationName

    public java.lang.String getOrganizationName()

### setOrganizationName

    public void setOrganizationName(java.lang.String s)

### getOrgUnitName

    public java.lang.String getOrgUnitName()

### setOrgUnitName

    public void setOrgUnitName(java.lang.String s)

### getEmail

    public java.lang.String getEmail()

### setEmail

    public void setEmail(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD